    The XSPEC gadem model: plasma emission, multi-temperature with gaussian distribution of emission measure.

xsgadem
The xsgadem model is an additive model component.

The model is described at [1] . The set_xsabund and get_xsabund

functions change and return the current settings for the relative abundances of the metals. See the xsapec documentation for settings relevant to the APEC model (i.e. when switch=2 ).

>>> create_model_component("xsgadem", "mdl")
>>> print(mdl)

Create a component of the xsgadem model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Tmean frozen 4 0.01 20 keV mdl.Tsigma thawed 0.1 0.01 100 keV mdl.nH frozen 1 1e-06 1e+20 cm^-3 mdl.abundanc frozen 1 0 10 mdl.Redshift frozen 0 -0.999 10 mdl.switch frozen 2 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Tmean
The mean temperature for the gaussian emission measure distribution, in keV.
Tsigma
The sigma of the temperature distribution for the gaussian emission measure, in keV.
nH
H density, in cm^-3.
abundanc
The metal abundance of the plasma, as defined by the

set_xsabund function.
Redshift
The redshift of the plasma.
switch
If 0, the mekal code is run to evaluate the model; if 1 then interpolation of the mekal data is used; if 2 then interpolation of APEC data is used. See [1] for more details. This parameter can not be thawed.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelGadem.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023